Summary: Motif based mixer for popular sound cards
Name: xmmix
Version: 1.2
Release: 6
Copyright:Distibutable
Source0:ftp://ftp.x.org/contrib/applications/xmmix-1.2.tar.gz
Source1:ftp://ftp.x.org/contrib/applications/xmmix-1.2.gif
Source2: xmmix.wmconfig
Patch0: xmmix-1.2-Imakefile.patch
Patch1: xmmix-1.2-help.patch
Patch2: xmmix-1.2-appdefaults.patch
Patch3: xmmix-1.2-static.patch
Url: http://sunsite.unc.edu/~cddb/xmmix/
Group: X11/Applications
BuildRoot: /var/tmp/xmmix-root
Requires: lesstif

%description
Motif based sound card mixer tool.
Lets you set the playback and recording volumes on your sound card.

%changelog
* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entry

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- built against lesstif

%prep
%setup

# apply patch0 to make lesstif link correctly
# apply patch3 to link to osf motif statically
#
# do not apply both simultaneously
#
#%ifnarch i386
%patch0 -p1
#%endif
%patch1 -p1
%patch2 -p1
#%ifarch i386
#%patch3 -p1
#%endif

%build
xmkmf
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmmix
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmmix.hlp $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmmix/

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/xmmix.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/xmmix

%files
%doc CHANGES COPYING README 
/usr/X11R6/bin/xmmix
/usr/X11R6/man/man1/xmmix.1x
/usr/X11R6/lib/X11/app-defaults/XMmix
/usr/X11R6/lib/X11/xmmix/xmmix.hlp
%config /etc/X11/wmconfig/xmmix

%clean
rm -rf $RPM_BUILD_ROOT
